Cantera 2.6.0

Classes | Namespaces | Functions
MultiPhase.h File Reference

Headers for the MultiPhase object that is used to set up multiphase equilibrium problems (see Classes and functions used for calculating). More...

`#include "cantera/numerics/DenseMatrix.h"`
Include dependency graph for MultiPhase.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | MultiPhase
| A class for multiphase mixtures. More...

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
std::ostream & | operator<< (std::ostream &s, MultiPhase &x)
| Function to output a MultiPhase description to a stream. More...
size_t | BasisOptimize (int *usedZeroedSpecies, bool doFormRxn, MultiPhase *mphase, std::vector< size_t > &orderVectorSpecies, std::vector< size_t > &orderVectorElements, vector_fp &formRxnMatrix)
| Choose the optimum basis of species for the equilibrium calculations. More...
void | ElemRearrange (size_t nComponents, const vector_fp &elementAbundances, MultiPhase *mphase, std::vector< size_t > &orderVectorSpecies, std::vector< size_t > &orderVectorElements)
| Handles the potential rearrangement of the constraint equations represented by the Formula Matrix. More...

## Detailed Description

Headers for the MultiPhase object that is used to set up multiphase equilibrium problems (see Classes and functions used for calculating).

Definition in file MultiPhase.h.